Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class AbstractPMDProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty

All Implemented Interfaces:
  java.lang.Comparable<PropertyDescriptor>, PropertyDescriptor

Direct Known Subclasses:
  AbstractScalarProperty, CharacterProperty, EnumeratedProperty, MethodProperty, StringProperty

    public abstract class AbstractPMDProperty

extends java.lang.Object
implements PropertyDescriptor

Version:
  $Revision$
Author:
  Brian Remedios

Field Summary
`protected char` | `multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`protected` | `AbstractPMDProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Object theDefault, float theUIOrder)` Constructor for AbstractPMDProperty.

Method Summary
`static boolean` | `areEqual(java.lang.Object value, java.lang.Object otherValue)` Method areEqual.
`java.lang.String` | `asDelimitedString(java.lang.Object values)` Method asDelimitedString.
`protected java.lang.String` | `asString(java.lang.Object value)` Return the value as a string that can be easily recognized and parsed when we see it again.
`java.lang.Object[][]` | `choices()` Method choices.
`int` | `compareTo(PropertyDescriptor otherProperty)` Method compareTo.
`java.lang.Object` | `defaultValue()` Default value to use when the user hasn't specified one or when they wish to revert to a known-good state.
`java.lang.String` | `description()` Method description.
`java.lang.String` | `errorFor(java.lang.Object value)` Method errorFor.
`protected boolean` | `isArray(java.lang.Object value)` Method isArray.
`boolean` | `isRequired()` Method isRequired.
`int` | `maxValueCount()` Method maxValueCount.
`protected void` | `maxValueCount(int theCount)` Method maxValueCount.
`char` | `multiValueDelimiter()` Method multiValueDelimiter.
`protected void` | `multiValueDelimiter(char aDelimiter)` Method multiValueDelimiter.
`java.lang.String` | `name()` Method name.
`int` | `preferredRowCount()` Method preferredRowCount.
`java.lang.String` | `propertyErrorFor(Rule rule)` Method propertyErrorFor.
`protected java.lang.String` | `typeErrorFor(java.lang.Object value)` Method typeErrorFor.
`float` | `uiOrder()` Method uiOrder.
`protected java.lang.String` | `valueErrorFor(java.lang.Object value)` Method valueErrorFor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor
`type, valueFrom`

Field Detail

### multiValueDelimiter

    protected char multiValueDelimiter

Constructor Detail

### AbstractPMDProperty

    protected AbstractPMDProperty(java.lang.String theName,
                                  java.lang.String theDescription,
                                  java.lang.Object theDefault,
                                  float theUIOrder)

  Constructor for AbstractPMDProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefault` - Object
    `theUIOrder` - float

Method Detail

### multiValueDelimiter

    protected void multiValueDelimiter(char aDelimiter)

  Method multiValueDelimiter.

  Parameters:
    `aDelimiter` - char

### multiValueDelimiter

    public char multiValueDelimiter()

  Method multiValueDelimiter.

  Specified by:
    `multiValueDelimiter` in interface `PropertyDescriptor`
  Returns:
    char
  See Also:
    `PropertyDescriptor.multiValueDelimiter()`

### name

    public java.lang.String name()

  Method name.

  Specified by:
    `name` in interface `PropertyDescriptor`
  Returns:
    String
  See Also:
    `PropertyDescriptor.name()`

### description

    public java.lang.String description()

  Method description.

  Specified by:
    `description` in interface `PropertyDescriptor`
  Returns:
    String
  See Also:
    `PropertyDescriptor.description()`

### defaultValue

    public java.lang.Object defaultValue()

  Description copied from interface: `PropertyDescriptor`
  Default value to use when the user hasn't specified one or when they wish to revert to a known-good state.

  Specified by:
    `defaultValue` in interface `PropertyDescriptor`
  Returns:
    Object
  See Also:
    `PropertyDescriptor.defaultValue()`

### maxValueCount

    public int maxValueCount()

  Method maxValueCount.

  Specified by:
    `maxValueCount` in interface `PropertyDescriptor`
  Returns:
    int
  See Also:
    `PropertyDescriptor.maxValueCount()`

### maxValueCount

    protected void maxValueCount(int theCount)

  Method maxValueCount.

  Parameters:
    `theCount` - int
  See Also:
    `PropertyDescriptor.maxValueCount()`

### isRequired

    public boolean isRequired()

  Method isRequired.

  Specified by:
    `isRequired` in interface `PropertyDescriptor`
  Returns:
    boolean
  See Also:
    `PropertyDescriptor.isRequired()`

### uiOrder

    public float uiOrder()

  Method uiOrder.

  Specified by:
    `uiOrder` in interface `PropertyDescriptor`
  Returns:
    float
  See Also:
    `PropertyDescriptor.uiOrder()`

### asString

    protected java.lang.String asString(java.lang.Object value)

  Return the value as a string that can be easily recognized and parsed when we see it again.

  Parameters:
    `value` - Object
  Returns:
    String

### asDelimitedString

    public java.lang.String asDelimitedString(java.lang.Object values)

  Method asDelimitedString.

  Specified by:
    `asDelimitedString` in interface `PropertyDescriptor`
  Parameters:
    `values` - Object
  Returns:
    String
  See Also:
    `PropertyDescriptor.asDelimitedString(Object)`

### compareTo

    public int compareTo(PropertyDescriptor otherProperty)

  Method compareTo.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<PropertyDescriptor>`
  Parameters:
    `otherProperty` - Object
  Returns:
    int
  See Also:
    `Comparable.compareTo(Object)`

### errorFor

    public java.lang.String errorFor(java.lang.Object value)

  Method errorFor.

  Specified by:
    `errorFor` in interface `PropertyDescriptor`
  Parameters:
    `value` - Object
  Returns:
    String
  See Also:
    `PropertyDescriptor.errorFor(Object)`

### valueErrorFor

    protected java.lang.String valueErrorFor(java.lang.Object value)

  Method valueErrorFor.

  Parameters:
    `value` - Object
  Returns:
    String

### isArray

    protected boolean isArray(java.lang.Object value)

  Method isArray.

  Parameters:
    `value` - Object
  Returns:
    boolean

### typeErrorFor

    protected java.lang.String typeErrorFor(java.lang.Object value)

  Method typeErrorFor.

  Parameters:
    `value` - Object
  Returns:
    String

### propertyErrorFor

    public java.lang.String propertyErrorFor(Rule rule)

  Method propertyErrorFor.

  Specified by:
    `propertyErrorFor` in interface `PropertyDescriptor`
  Parameters:
    `rule` - Rule
  Returns:
    String
  See Also:
    `PropertyDescriptor.propertyErrorFor(Rule)`

### choices

    public java.lang.Object[][] choices()

  Method choices.

  Specified by:
    `choices` in interface `PropertyDescriptor`
  Returns:
    Object[][]
  See Also:
    `PropertyDescriptor.choices()`

### preferredRowCount

    public int preferredRowCount()

  Method preferredRowCount.

  Specified by:
    `preferredRowCount` in interface `PropertyDescriptor`
  Returns:
    int
  See Also:
    `PropertyDescriptor.preferredRowCount()`

### areEqual

    public static final boolean areEqual(java.lang.Object value,
                                         java.lang.Object otherValue)

  Method areEqual.

  Parameters:
    `value` - Object
    `otherValue` - Object
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.